Advisory Details

October 14th, 2022

Adobe ColdFusion Admin Component Use of Hard-coded Credentials Authentication Bypass Vulnerability

ZDI-22-1418
ZDI-CAN-16921

CVE ID CVE-2022-38420
CVSS SCORE 6.5, (AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:H)
AFFECTED VENDORS Adobe
AFFECTED PRODUCTS ColdFusion
VULNERABILITY DETAILS

This vulnerability allows remote attackers to bypass authentication on affected installations of Adobe ColdFusion. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the Admin Component service. The service uses a hard-coded password for the administrator user. An attacker can leverage this vulnerability to bypass authentication on the system.

ADDITIONAL DETAILS Adobe has issued an update to correct this vulnerability. More details can be found at:
https://helpx.adobe.com/security/products/coldfusion/apsb22-44.html
DISCLOSURE TIMELINE
  • 2022-05-13 - Vulnerability reported to vendor
  • 2022-10-14 - Coordinated public release of advisory
CREDIT rgod
BACK TO ADVISORIES